Installation failure on TV Server when doing single seat installation (1 Viewer)

doskabouter

Development Group
  • Team MediaPortal
  • September 27, 2009
    4,242
    2,498
    Nuenen
    Home Country
    Netherlands Netherlands
    ...
    To whom was the above directed?

    Tony
    Actually to you...
    Was just checking the code where "sorry, master/slave server setups are not supported" is put in the log, and working my way back to an assumption as to what the cause would be.
    So you're saying that having uninstalled mp (including database) completely will still give the error with 1.27?
     

    Anthony Vaughan

    MP Donator
  • Premium Supporter
  • June 25, 2015
    516
    286
    Home Country
    United Kingdom United Kingdom
    Actually to you...
    Was just checking the code where "sorry, master/slave server setups are not supported" is put in the log, and working my way back to an assumption as to what the cause would be.
    So you're saying that having uninstalled mp (including database) completely will still give the error with 1.27?

    Yes, that's right. I completely uninstalled MP and removed the MpTvDb database, rebooted, then tried to install MP 1.27. When that failed, I did a complete uninstall again and then used the 1.26 install program to install MP 1.26. This worked with no problems and the EPG populated okay after I had declared all of the tuners in the time-honored fashion.

    I was then able to upgrade 1.26 to 1.27 without any issues.

    As this is my development machine, the data is not critical.

    Sorry that the logs I sent you have now vanished so I don't have a way to go back and see the context of those logs and I can't remember precisely what the events were around that time: though I didn't have MP installed when I started all this though it would appear that MP 1.27 thought it was. That was when I started to uninstall MP etc.

    Let me know if you need any more action from me.

    Tony
     

    Anthony Vaughan

    MP Donator
  • Premium Supporter
  • June 25, 2015
    516
    286
    Home Country
    United Kingdom United Kingdom
    Was just checking the code where "sorry, master/slave server setups are not supported" is put in the log, and working my way back to an assumption as to what the cause would be.

    I was a wee bit puzzled by that message because I was performing the client/server installation at the time.

    Tony
     

    doskabouter

    Development Group
  • Team MediaPortal
  • September 27, 2009
    4,242
    2,498
    Nuenen
    Home Country
    Netherlands Netherlands
    hm, sill strange. I tested installing 1.27 multiseat quite a number of times without any issues.
    That was only with mysql, not sqlserver tbh, do you feel like testing that scenario and getting logs?
     

    Samsonetty

    New Member
    December 9, 2020
    4
    0
    Home Country
    Germany Germany
    Hello, I had the 1.26 on my computer with the Windows version 2009, then came the update to the 20h2, since then I had problems, and also MP1 , so I decided to reset the computer. mhh I should not have done, because with deletion of the complete disk "Everything" I now had the problem that the version 1.26 "MP1" no longer Install read with the MYsql 5.0/5.6 database, here he has always spit out the error, I have also posted, but not followed up.
    Now I thought, well, let's see what's new giibt and have the MP1 version 1.27 Installed, so it wanted, but as you can see from my post, also here problems, although he has without further now the MYsql DAtenbank Installed 5.6, but the installation failed in the Last section.
    So bottom line, even on a fresh computer it did not work, not even after I have uninstalled "EVERYTHING", the registry of course, I as a PC freak with 53years, know me there unfortunately also from :D
    after the 4th attempt I read it then be. My WINTV "8.5" works fine, and I had also run at that time, next to MP1.
    Greetings
    "Translator Deepl"
     

    Anthony Vaughan

    MP Donator
  • Premium Supporter
  • June 25, 2015
    516
    286
    Home Country
    United Kingdom United Kingdom
    hm, sill strange. I tested installing 1.27 multiseat quite a number of times without any issues.
    That was only with mysql, not sqlserver tbh, do you feel like testing that scenario and getting logs?

    Yes. I'd be happy to do that. But before I do that would you please let me know what logging levels I need to set, if there are any, so you can get the best results?

    Tony
     

    Anthony Vaughan

    MP Donator
  • Premium Supporter
  • June 25, 2015
    516
    286
    Home Country
    United Kingdom United Kingdom
    It looks like the common factor between @Anthony Vaughan and @Samsonetty is Windows 10. :eek:
    @doskabouter : what OS are you using? I am using Windows 7, so cannot test installation on Windows 10. :(

    I always keep my machine at the latest Windows 10 release: so that's 20H2 build 19042.867.

    I do have one machine kept at Windows 7, but that's because that's the only version of Windows that still supports the software I use to create Help files:).

    I strongly suspect that this is an issue of a first install of MP: i.e. when there is not a complete installation from which MP is upgrading. This would be consistent with your experience (of upgrading to 1.27 from 1.26, say) but that does not mean the issue is related to Windows 10 per se - I think it's just more likely that users will be using Windows 10 these days. I guess I could prove that by trying to install MP 1.27 on my Windows 7 machine;).

    I'll let you know how that goes. As the saying goes, 'I may be some time' because that machine is sooooo slowwwwww.

    Tony
     

    catavolt

    Design Group Manager
  • Team MediaPortal
  • August 13, 2007
    13,680
    9,868
    Königstein (Taunus)
    Home Country
    Germany Germany
    I´m on Windows 10 Insider (actual 21332) and everything works as expected (incl. installer) - no problems with tv server or any other MP part ;)
     

    Anthony Vaughan

    MP Donator
  • Premium Supporter
  • June 25, 2015
    516
    286
    Home Country
    United Kingdom United Kingdom
    I've tested installing 1.27 in Windows 7 with SQL Server and it installed okay.

    This machine didn't have a tuner card on it so I don't know if that is a valid test (does the install check for tuner cards?).

    I'll look at doing it again on ,my development machine.

    Tony
     

    Users who are viewing this thread

    Top Bottom